Page MenuHomePhabricator

Release and use data-values/time 0.7
Closed, ResolvedPublic

Description

Pull requests I would like to see merged before releasing 0.7: https://github.com/DataValues/Time/milestones/0.7. In detail:

Now blocked by Packagist not accepting the new release. May I ask (again) why we depend so hard on that external service? https://packagist.org/packages/data-values/time

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterUpdate DataValues Time to 0.7.0
mediawiki/extensions/Wikibase : masterPrepare RDF test data for new data-values/time release

Event Timeline

thiemowmde claimed this task.
thiemowmde raised the priority of this task from to Medium.
thiemowmde updated the task description. (Show Details)
thiemowmde added projects: Wikidata, DataValues.
thiemowmde added a subscriber: thiemowmde.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2015, 1:31 PM

Change 204258 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Prepare RDF test data for new data-values/time release

https://gerrit.wikimedia.org/r/204258

thiemowmde updated the task description. (Show Details)Apr 16 2015, 3:48 PM
thiemowmde set Security to None.
daniel updated the task description. (Show Details)Apr 16 2015, 5:22 PM
daniel added a subscriber: daniel.

I merged most of the patches, PR49 is still pending review, and PR54 needs a rebase, but seems fine otherwise.

Change 205267 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Update DataValues Time to 0.7.0

https://gerrit.wikimedia.org/r/205267

Change 204258 merged by jenkins-bot:
Prepare RDF test data for new data-values/time release

https://gerrit.wikimedia.org/r/204258

thiemowmde raised the priority of this task from Medium to Unbreak Now!.Apr 20 2015, 4:34 PM
thiemowmde updated the task description. (Show Details)
Tobi_WMDE_SW renamed this task from Release data-values/time 0.7 to Release and use data-values/time 0.7.Apr 21 2015, 8:31 AM

Change 205267 merged by jenkins-bot:
Update DataValues Time to 0.7.0

https://gerrit.wikimedia.org/r/205267

Tobi_WMDE_SW closed this task as Resolved.Apr 21 2015, 3:40 PM
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.